Page MenuHomePhabricator

Deploy Thank you letters to remove Lila's signature
Closed, ResolvedPublic1 Story Points

Description

Hello all,

As a first step to changing the TY letter (considering Lila's departure) we need to deploy all the letters again, in order to remove her signature. I have updated the copy and removed the signature in the following languages and re-published the letters.

English en
Catalan ca
Danish da
German de
Spanish es
French fr
Hebrew he
Hungarian hu
Italian it
Japanese ja
Latvian lv
Makedonian mk
Norsk Bokmal nb
Dutch nl
Portuguese pt
Portuguese-Brazilian pt-br
Romanian ro
Russian ru
Slovenian sl
Swedish sv
Ukrainian uk
Chinese zh

If someone from fr-tech could deploy these changes that would be great.

Thanks!

Event Timeline

jrobell created this task.Mar 9 2016, 5:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2016, 5:44 PM
jrobell renamed this task from Deploy Thank you letters to remove Lila to Deploy Thank you letters to remove Lila's signature.Mar 9 2016, 5:50 PM
jrobell added a project: Fundraising-Backlog.
jrobell updated the task description. (Show Details)
jrobell added subscribers: atgo, Pcoombe, CaitVirtue and 2 others.
Restricted Application added subscribers: Base, Josve05a. · View Herald TranscriptMar 9 2016, 5:50 PM
jrbs added a subscriber: jrbs.Mar 9 2016, 6:01 PM
jrobell updated the task description. (Show Details)Mar 10 2016, 10:35 AM

The list has also been updated with Danish which had somehow been left out.

Ejegg claimed this task.Mar 11 2016, 8:09 PM
Ejegg set the point value for this task to 1.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Elevator Maintenance 2016 board.

Change 276808 had a related patch set uploaded (by Ejegg):
Thank You letters for executive director transition

https://gerrit.wikimedia.org/r/276808

Ejegg added a comment.Mar 11 2016, 8:24 PM

These are up for code review. Most are just the signature change and one or two typo or phrasing fixes, but there are a couple with more extensive changes.

Dutch: https://gerrit.wikimedia.org/r/#/c/276808/2/sites/all/modules/thank_you/templates/html/thank_you.nl.html,unified

Macedonian: https://gerrit.wikimedia.org/r/#/c/276808/2/sites/all/modules/thank_you/templates/html/thank_you.mk.html,unified

Thank you @Ejegg !

Indeed, it would be great if we could use this deployment to also update the Dutch and Macedonian versions.

Thanks!

Change 276808 merged by Pcoombe:
Thank You letters for executive director transition

https://gerrit.wikimedia.org/r/276808

Ejegg added a comment.Mar 16 2016, 5:13 PM

I just realized the from name 'Wikimedia Foundation' will need to be translated. Looking into how that works.

awight added a subscriber: awight.Mar 16 2016, 5:16 PM

Rats, "Wikimedia Foundation" occurs in the string userrights-nodatabase, but not on its own.

Are we sure that we need that translated? If it's a formal name, perhaps it
shouldn't be? Let's check with @jrobell before we go too far down this path.

How about we just use 'Jimmy Wales" as the from name? The same way we used "Lila Tretikov" in the past.

In the solicitation emails we send we use jimmy@wikipedia.org

@CCogdill_WMF could you share your view here as you have been doing some testing with from names over the past months?

Thanks!

I don't know that our from name testing has the same weight here; an email sent right after a donation is much more likely to be opened anyway because it's a confirmation. I also don't think it's a good idea to display an email address that isn't donate@wikimedia.org (or an alias of it) for these emails, as they are more likely to get donor services requests.

I like the suggestion to use Jimmy's name. Our from name in appeals used to be "Jimmy Wales, Wikipedia", which I think would be a nice option for this email. We decided not to translate the "Wikipedia" after some debate.

Ejegg added a comment.Mar 16 2016, 6:28 PM

Cool! It turns out we would have to write code to translate the from name. I'll use "Jimmy Wales, Wikipedia" and deploy this afternoon.

Ejegg added a comment.Mar 16 2016, 7:19 PM

Just deployed and spammed myself with a test thank you letter in each language. The job is still off, so donor's haven't received any of these yet.

A couple of questions:

  • How bad is it that there are still a lot of languages with Lila's name in the body and now Jimmy's name in the 'From' line?
  • Do we want more blank space between the 'signature' and the matching donation appeal? Without the name and title, it's hard to tell it's supposed to be a signature.
  • The subject line has the localized version of 'Wikimedia Foundation' in it, which slightly clashes with Wikipedia after Jimmy's name

I'll roll back to the old letters and from name for now and turn the job back on.

How bad is it that there are still a lot of languages with Lila's name in the body and now Jimmy's name in the 'From' line?

Seems to me we should roll out the new letter before changing the from name.

Do we want more blank space between the 'signature' and the matching donation appeal? Without the name and title, it's hard to tell it's supposed to be a signature.

I think that's a great idea. There should be some sort of obvious break - maybe just a <hr /> ?

The subject line has the localized version of 'Wikimedia Foundation' in it, which slightly clashes with Wikipedia after Jimmy's name

I forgot WMF is in the subject line. Maybe we make the from name just "Jimmy Wales" for simplicity's sake.

Thank you very much @Ejegg for working on this.

Keeping "Jimmy Wales" (without Wikipedia) in the from name sounds like the best option to me.

I have fixed the Polish translation to remove Lila's name from the body and the signature and also fixed the matching gifts appeal. Sorry I missed that one.
For the rest of the languages (cy, sq, cs, tr) we should just use the English letter as these translations are not finalized and it's not languages we need.

Thank you!

Change 278293 had a related patch set uploaded (by Ejegg):
Thank you letters for exec director transition

https://gerrit.wikimedia.org/r/278293

Base added a comment.Mar 19 2016, 1:34 PM

Why Jimmy Wales? Why not Katherine Maher (interim Executive Director) or Patricio Lorente (WMF BoT Chair)? Jimbo looks like illogical option to me.

Hi @Base. We certainly considered Katherine or Patricio as possible senders for this receipt email. Here are some of the reasons we decided on Jimmy for now:

  • Jimmy is the most recognizable face of our brand. He is also the sender for our fundraising email appeals and is quoted on the page with our donation form, so sending the receipt from Jimmy adds consistency to the donation experience.
  • Regardless if Jimmy's role in the movement changes in the future or not, he will always be Wikipedia's Founder; Katherine and Patricio's roles are impermanent, therefore once their tenures end, we will be under pressure to update all of our receipt translations right away. As you can tell from this task, that is easier said than done; sending from Jimmy removes this pressure.

I know we plan to revisit this choice once we have a new ED and decide at that point if we want to continue sending from Jimmy, or go back to sending from the ED as we did in the past.

Ejegg reassigned this task from Ejegg to jrobell.Mar 25 2016, 7:25 PM
Ejegg added a subscriber: Ejegg.

Thank you for catching that @XenoRyet and sorry for the hassle @Ejegg

I have fixed this in the Japanese letter. https://meta.wikimedia.org/wiki/Fundraising/Translation/Thank_you_email_20150904/ja

Thank you!

Ejegg added a comment.Mar 28 2016, 5:27 PM

Fixes are reviewed and merged. I'll deploy them this afternoon!

Change 278293 merged by jenkins-bot:
Thank you letters for exec director transition

https://gerrit.wikimedia.org/r/278293

Change 279992 had a related patch set uploaded (by Ejegg):
Thank you letters for exec director transition

https://gerrit.wikimedia.org/r/279992

Change 279992 merged by Ejegg:
Thank you letters for exec director transition

https://gerrit.wikimedia.org/r/279992

Ejegg added a comment.Mar 28 2016, 7:35 PM

Oops, just noticed the PL letter isn't updated. Could you make sure the right version is published @jrobell ?

Ejegg added a comment.Mar 28 2016, 7:40 PM

Sorry @jrobell, looks like it's published and we have a code issue....

Ejegg added a comment.Mar 28 2016, 7:51 PM

Ok, not a code issue. Arabic and Polish are still using the Thank_you_email_20140606 template, as those translations don't exist for Thank_you_email_20150904. @jrobell, should I delete those TY templates from Civi (leaving AR and PL speakers with English TY letters), or wait to change the from name till we can get those languages published on the 2015 email?

Josve05a removed a subscriber: Josve05a.Mar 28 2016, 8:27 PM
Ejegg added a comment.Mar 28 2016, 9:12 PM

One more language with an outdated template: Bengali (BN)

Change 280085 had a related patch set uploaded (by Ejegg):
Remove obsolete Northern Frisian TY letter

https://gerrit.wikimedia.org/r/280085

@Ejegg Let's delete Arabic and Polish from civi and use English for now, until we get the new version ready. For Bengali we can also use English. Thank you!

Change 280252 had a related patch set uploaded (by Ejegg):
New TY letters for executive director transition

https://gerrit.wikimedia.org/r/280252

Change 280085 merged by jenkins-bot:
Remove obsolete TY letters

https://gerrit.wikimedia.org/r/280085

Change 280252 merged by jenkins-bot:
New TY letters for executive director transition

https://gerrit.wikimedia.org/r/280252

Ejegg closed this task as Resolved.Mar 30 2016, 12:34 AM

Phew, this is finally deployed! Thank you letters are now from "Jimmy Wales" and all letters using old templates have been removed.

Thank you very much @Ejegg for your work on this. I am sorry it ended up being more work and hassle than we thought. I just sent myself a test and the Thank you emails look good!

Thank you!

mmodell removed a subscriber: awight.Jun 22 2017, 9:41 PM